Skip to main content
PATCH
/
v1
/
organizations
/
users
/
{user_email}
Update User
curl --request PATCH \
  --url https://api.mixpeek.com/v1/organizations/users/{user_email} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_name": "<string>",
  "avatar_url": "<string>",
  "metadata": {}
}
'
import requests

url = "https://api.mixpeek.com/v1/organizations/users/{user_email}"

payload = {
"user_name": "<string>",
"avatar_url": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_name: '<string>', avatar_url: '<string>', metadata: {}})
};

fetch('https://api.mixpeek.com/v1/organizations/users/{user_email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_email
string
required

Body

application/json

Partial update payload for a user.

user_name
string | null

Updated display name.

Required string length: 2 - 100
avatar_url
string | null

Updated profile image URL (e.g., custom avatar to override Gravatar).

role
enum<string> | null

Updated organization role.

Available options:
admin,
member,
viewer
status
enum<string> | null

Lifecycle status update (active, suspended, pending).

Available options:
active,
suspended,
pending
metadata
Metadata · object | null

Replaces metadata with the provided dictionary when set.

Response

Successful Response

The response is of type Response Update User V1 Organizations Users User Email Patch · object.